package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 添加优惠信息请求参数
 *
 * @Author 陈标
 * @Date 2020/1/9 15:10
 */
public class AddOrderDiscountListRequest extends OperateOrderRequest {

    private static final long serialVersionUID = -2850495459903139437L;

    @ApiModelProperty(value ="优惠信息", example = "{}", required = true)
    private List<AddOrderDiscountRequest> orderDiscountList;

    @ApiModelProperty(value = "是否清除原有优惠 0不清除，1清除", example = "1")
    private Integer isClearDiscount;

    public List<AddOrderDiscountRequest> getOrderDiscountList() {
        return orderDiscountList;
    }

    public void setOrderDiscountList(List<AddOrderDiscountRequest> orderDiscountList) {
        this.orderDiscountList = orderDiscountList;
    }

    public Integer getIsClearDiscount() {
        return isClearDiscount;
    }

    public void setIsClearDiscount(Integer isClearDiscount) {
        this.isClearDiscount = isClearDiscount;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
